diff --git a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
index 39a5d14b608b470e48c0c6692aa10760c094d6a0..b9df360b09b6db332228bccb157af9fe4b6f9c3f 100644
--- a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
+++ b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
@@ -522,14 +522,14 @@ public class EnrollmentService implements IService {
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
 
             if (!publicKeyModulus.equals(privateKeyModulus)) {
-                CMS.debug("verifyKeyPair modulus mismatch publicKeyModulus=" + publicKeyModulus + " privateKeyModulus="
-                        + privateKeyModulus);
+                CMS.debug("verifyKeyPair modulus mismatch publicKeyModulus="
+                        + publicKeyModulus + " privateKeyModulus=" + privateKeyModulus);
                 return false;
             }
 
             if (!publicKeyExponent.equals(privateKeyExponent)) {
-                CMS.debug("verifyKeyPair exponent mismatch publicKeyExponent=" + publicKeyExponent
-                        + " privateKeyExponent=" + privateKeyExponent);
+                CMS.debug("verifyKeyPair exponent mismatch publicKeyExponent="
+                        + publicKeyExponent + " privateKeyExponent=" + privateKeyExponent);
                 return false;
             }
 
@@ -679,8 +679,8 @@ public class EnrollmentService implements IService {
         } catch (IOException e) {
             mKRA.log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSCORE_KRA_GET_PUBLIC_KEY", e.toString()));
-            throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_ATTRIBUTE", "[" + CertificateX509Key.KEY
-                    + "]" + e.toString()));
+            throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_ATTRIBUTE", "["
+                    + CertificateX509Key.KEY + "]" + e.toString()));
         }
         return pKey;
     }
@@ -715,13 +715,13 @@ public class EnrollmentService implements IService {
         } catch (IOException e) {
             mKRA.log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSCORE_KRA_GET_OWNER_NAME", e.toString()));
-            throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_ATTRIBUTE", "[" + X509CertInfo.SUBJECT + "]"
-                    + e.toString()));
+            throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_ATTRIBUTE", "["
+                    + X509CertInfo.SUBJECT + "]" + e.toString()));
         } catch (CertificateException e) {
             mKRA.log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSCORE_KRA_GET_OWNER_NAME", e.toString()));
-            throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_ATTRIBUTE", "[" + X509CertInfo.SUBJECT + "]"
-                    + e.toString()));
+            throw new EBaseException(CMS.getUserMessage("CMS_BASE_INVALID_ATTRIBUTE", "["
+                    + X509CertInfo.SUBJECT + "]" + e.toString()));
         }
         String owner = pSub.toString();
 
@@ -905,8 +905,9 @@ class ArchiveOptions {
                 EncryptedContentInfo eCI = env_data.getEncryptedContentInfo();
                 symmAlg = eCI.getContentEncryptionAlgorithm();
                 mSymmAlgOID = symmAlg.getOID().toString();
-                mSymmAlgParams = ((OCTET_STRING) ((ANY) symmAlg.getParameters()).decodeWith(OCTET_STRING.getTemplate()))
-                        .toByteArray();
+                mSymmAlgParams =
+                        ((OCTET_STRING) ((ANY) symmAlg.getParameters()).decodeWith(OCTET_STRING.getTemplate()))
+                                .toByteArray();
 
                 SET recipients = env_data.getRecipientInfos();
                 if (recipients.size() <= 0) {
@@ -931,8 +932,9 @@ class ArchiveOptions {
                 val = key.getEncryptedValue();
                 symmAlg = val.getSymmAlg();
                 mSymmAlgOID = symmAlg.getOID().toString();
-                mSymmAlgParams = ((OCTET_STRING) ((ANY) symmAlg.getParameters()).decodeWith(OCTET_STRING.getTemplate()))
-                        .toByteArray();
+                mSymmAlgParams =
+                        ((OCTET_STRING) ((ANY) symmAlg.getParameters()).decodeWith(OCTET_STRING.getTemplate()))
+                                .toByteArray();
                 BIT_STRING encSymmKey = val.getEncSymmKey();
 
                 mEncSymmKey = encSymmKey.getBits();
diff --git a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
index 7f523f3396214343db6bb7b00c1a7ee8d3fcc1aa..4e35d982cd9cd203385a7d5278143311547fc4bd 100644
--- a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
+++ b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
@@ -119,7 +119,8 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
     protected IRequestNotifier mPNotify = null;
     protected ISubsystem mOwner = null;
     protected int mRecoveryIDCounter = 0;
-    protected Hashtable<String, Hashtable<String, Object>> mRecoveryParams = new Hashtable<String, Hashtable<String, Object>>();
+    protected Hashtable<String, Hashtable<String, Object>> mRecoveryParams =
+            new Hashtable<String, Hashtable<String, Object>>();
     protected org.mozilla.jss.crypto.X509Certificate mJssCert = null;
     protected CryptoToken mKeygenToken = null;
 
@@ -1427,8 +1428,9 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
                 IConfigStore rq = nc.getSubStore(PROP_REQ_IN_Q_SUBSTORE);
                 IAuthority cSub = (IAuthority) this;
 
-                String requestInQListenerClassName = nc.getString("certificateIssuedListenerClassName",
-                        "com.netscape.cms.listeners.RequestInQListener");
+                String requestInQListenerClassName =
+                        nc.getString("certificateIssuedListenerClassName",
+                                "com.netscape.cms.listeners.RequestInQListener");
 
                 try {
                     mReqInQListener = (IRequestListener) Class.forName(requestInQListenerClassName).newInstance();
@@ -1481,7 +1483,8 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
     }
     */
 
-    public Hashtable<String, Hashtable<String, Object>> mVolatileRequests = new Hashtable<String, Hashtable<String, Object>>();
+    public Hashtable<String, Hashtable<String, Object>> mVolatileRequests =
+            new Hashtable<String, Hashtable<String, Object>>();
 
     /**
      * Creates a request object to store attributes that
diff --git a/pki/base/kra/src/com/netscape/kra/RecoveryService.java b/pki/base/kra/src/com/netscape/kra/RecoveryService.java
index 719a55d30685b28fe33e58a1093f75fdb6c74fe1..8958695c1c9fabbb335ec05fe9ea68b8e3ee4a27 100644
--- a/pki/base/kra/src/com/netscape/kra/RecoveryService.java
+++ b/pki/base/kra/src/com/netscape/kra/RecoveryService.java
@@ -350,14 +350,14 @@ public class RecoveryService implements IService {
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
 
             if (!publicKeyModulus.equals(privateKeyModulus)) {
-                CMS.debug("verifyKeyPair modulus mismatch publicKeyModulus=" + publicKeyModulus + " privateKeyModulus="
-                        + privateKeyModulus);
+                CMS.debug("verifyKeyPair modulus mismatch publicKeyModulus="
+                        + publicKeyModulus + " privateKeyModulus=" + privateKeyModulus);
                 return false;
             }
 
             if (!publicKeyExponent.equals(privateKeyExponent)) {
-                CMS.debug("verifyKeyPair exponent mismatch publicKeyExponent=" + publicKeyExponent
-                        + " privateKeyExponent=" + privateKeyExponent);
+                CMS.debug("verifyKeyPair exponent mismatch publicKeyExponent="
+                        + publicKeyExponent + " privateKeyExponent=" + privateKeyExponent);
                 return false;
             }
 
diff --git a/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java b/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
index 667bb8987f6aff1355d6703e887fdf70ff3cbece..0b84926d1d895532ae656730d9b65abc8025cebb 100644
--- a/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
+++ b/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
@@ -558,14 +558,14 @@ public class TokenKeyRecoveryService implements IService {
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
 
             if (!publicKeyModulus.equals(privateKeyModulus)) {
-                CMS.debug("verifyKeyPair modulus mismatch publicKeyModulus=" + publicKeyModulus + " privateKeyModulus="
-                        + privateKeyModulus);
+                CMS.debug("verifyKeyPair modulus mismatch publicKeyModulus="
+                        + publicKeyModulus + " privateKeyModulus=" + privateKeyModulus);
                 return false;
             }
 
             if (!publicKeyExponent.equals(privateKeyExponent)) {
-                CMS.debug("verifyKeyPair exponent mismatch publicKeyExponent=" + publicKeyExponent
-                        + " privateKeyExponent=" + privateKeyExponent);
+                CMS.debug("verifyKeyPair exponent mismatch publicKeyExponent="
+                        + publicKeyExponent + " privateKeyExponent=" + privateKeyExponent);
                 return false;
             }
 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java b/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
index 3fd9100bab6f71f28a3e08735a91285bb38e0315..d0222897d79fc0edfed2179a028e57410d53c269 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
@@ -464,7 +464,8 @@ public class CMSLDAP {
 
     public boolean TurnOnSSL(String certPrefix, String certName, String sslport) {
         String dn;
-        String CIPHERS = "-rsa_null_md5,+rsa_fips_3des_sha,+rsa_fips_des_sha,+rsa_3des_sha,+rsa_rc4_128_md5,+rsa_des_sha,+rsa_rc2_40_md5,+rsa_rc4_40_md5";
+        String CIPHERS =
+                "-rsa_null_md5,+rsa_fips_3des_sha,+rsa_fips_des_sha,+rsa_3des_sha,+rsa_rc4_128_md5,+rsa_des_sha,+rsa_rc2_40_md5,+rsa_rc4_40_md5";
 
         try {
             boolean found = false;
@@ -558,7 +559,8 @@ public class CMSLDAP {
         String PASSWORD = args[3];
         String BASEDN = args[4];
 
-        String s = "MIICFzCCAYCgAwIBAgIBBjANBgkqhkiG9w0BAQQFADBDMRswGQYDVQQKExJhY2NlcHRhY25ldGVz\ndDEwMjQxFzAVBgNVBAsTDmFjY2VwdGFuY2V0ZXN0MQswCQYDVQQDEwJjYTAeFw0wMzA0MTEyMTUx\nMzZaFw0wNDA0MTAwOTQ2NTVaMFwxCzAJBgNVBAYTAlVTMQwwCgYDVQQKEwNTU0wxHTAbBgNVBAsT\nFHNzbHRlc3QxMDUwMDk3ODkzNzQ1MSAwHgYDVQQDExdqdXBpdGVyMi5uc2NwLmFvbHR3Lm5ldDBc\nMA0GCSqGSIb3DQEBAQUAA0sAMEgCQQDCsCTIIQ+bJMfPHi6kwa7HF+/xSTVHcpZ5zsodXsNWjPlD\noRu/5KAO8NotfwGnYmALWdYnqXCF0q0gkaJQalQTAgMBAAGjRjBEMA4GA1UdDwEB/wQEAwIFoDAR\nBglghkgBhvhCAQEEBAMCBkAwHwYDVR0jBBgwFoAUzxZkSySZT/Y3SxGMEiNyHnLUOPAwDQYJKoZI\nhvcNAQEEBQADgYEALtpqMOtZt6j5KlghDFgdg/dvf36nWiZwC1ap6+ka22shLkA/RjmOix97btzT\nQ+8LcmdkAW5iap4YbtrCu0wdN6IbIEXoQI1QGZBoKO2o02utssXANmTnRCyH/GX2KefQlp1NSRj9\nZNZ+GRT2Qk/8G5Ds9vVjm1I5+/AkzI9jS14=";
+        String s =
+                "MIICFzCCAYCgAwIBAgIBBjANBgkqhkiG9w0BAQQFADBDMRswGQYDVQQKExJhY2NlcHRhY25ldGVz\ndDEwMjQxFzAVBgNVBAsTDmFjY2VwdGFuY2V0ZXN0MQswCQYDVQQDEwJjYTAeFw0wMzA0MTEyMTUx\nMzZaFw0wNDA0MTAwOTQ2NTVaMFwxCzAJBgNVBAYTAlVTMQwwCgYDVQQKEwNTU0wxHTAbBgNVBAsT\nFHNzbHRlc3QxMDUwMDk3ODkzNzQ1MSAwHgYDVQQDExdqdXBpdGVyMi5uc2NwLmFvbHR3Lm5ldDBc\nMA0GCSqGSIb3DQEBAQUAA0sAMEgCQQDCsCTIIQ+bJMfPHi6kwa7HF+/xSTVHcpZ5zsodXsNWjPlD\noRu/5KAO8NotfwGnYmALWdYnqXCF0q0gkaJQalQTAgMBAAGjRjBEMA4GA1UdDwEB/wQEAwIFoDAR\nBglghkgBhvhCAQEEBAMCBkAwHwYDVR0jBBgwFoAUzxZkSySZT/Y3SxGMEiNyHnLUOPAwDQYJKoZI\nhvcNAQEEBQADgYEALtpqMOtZt6j5KlghDFgdg/dvf36nWiZwC1ap6+ka22shLkA/RjmOix97btzT\nQ+8LcmdkAW5iap4YbtrCu0wdN6IbIEXoQI1QGZBoKO2o02utssXANmTnRCyH/GX2KefQlp1NSRj9\nZNZ+GRT2Qk/8G5Ds9vVjm1I5+/AkzI9jS14=";
 
         s = "-----BEGIN CERTIFICATE-----" + "\n" + s + "\n"
                 + "-----END CERTIFICATE-----\n";
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/Request.java b/pki/base/silent/src/com/netscape/pkisilent/common/Request.java
index 9b5a88b15e2efb49020374d392e8045b8537b542..9ee7000136cbb4668717870a263cd77b889d7860 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/Request.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/Request.java
@@ -476,7 +476,10 @@ public class Request extends TestClient {
         }
         // System.out.println("Debug : Retrieving cert details ");
 
-        sslclient = clientcert = servercert = emailcert = objectsigningcert = sslcacert = objectsigningcacert = emailcacert = "false";
+        sslclient =
+                clientcert =
+                        servercert =
+                                emailcert = objectsigningcert = sslcacert = objectsigningcacert = emailcacert = "false";
         ret = res.indexOf("header.sslclient =");
         if (ret > 0) {
             sslclient = res.substring(ret + "header.sslclient = ".length() + 1,
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java b/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java
index c5744fe6e79a22eed251949ac424e12d91ad6e83..87161d6897260cbbfcc7892d4c64c58384a9143c 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java
@@ -756,7 +756,8 @@ public class TestClient implements SSLCertificateApprovalCallback {
          *************************************************************
          */
 
-        String TransportCert = "MIICJTCCAY6gAwIBAgIBBTANBgkqhkiG9w0BAQQFADBDMRswGQYDVQQKExJhY2NlcHRhY25ldGVzdDEwMjQxFzAVBgNVBAsTDmFjY2VwdGFuY2V0ZXN0MQswCQYDVQQDEwJjYTAeFw0wMzA0MTgyMjMwMDhaFw0wNDA0MTcxMDI2MDhaMDkxETAPBgNVBAoTCHRlc3QxMDI0MRcwFQYDVQQLEw5hY2NlcHRhbmNldGVzdDELMAkGA1UEAxMCcmEwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAN6sQ3mSU8mL6i6gTZIXDLzOZPhYOkQLpnJjit5hcPZ0JMn0CQVXo4QjKN1xvuZv8qVlZoQw9czmzp/knTa0sCDgFKd0r+u0TnLeZkJMSimgFnma9CnChlaDHnBd8Beu4vyaHmo7rJ0xA4etn7HjhmKbaQZOcv/aP0SW9JXRga7ZAgMBAAGjMzAxMA4GA1UdDwEB/wQEAwIFIDAfBgNVHSMEGDAWgBSC3fsQHb7fddr2vL0UdkM2dAmUWzANBgkqhkiG9w0BAQQFAAOBgQBkAGbgd9HIqwoLKAr+V6bj9oWesDmDH80gPPxj10qyWSQYIs8PofOs/75yGS9nxhydtgSMFoBgCPdroUI31kZQQlFzxtudGoKD+5MWSXho79XzPwpjheOBYgpX6ch+L4tMLFDpqeraB1yZESO5EEeKm20DGVBOKVWxHhddO1BenA==";
+        String TransportCert =
+                "MIICJTCCAY6gAwIBAgIBBTANBgkqhkiG9w0BAQQFADBDMRswGQYDVQQKExJhY2NlcHRhY25ldGVzdDEwMjQxFzAVBgNVBAsTDmFjY2VwdGFuY2V0ZXN0MQswCQYDVQQDEwJjYTAeFw0wMzA0MTgyMjMwMDhaFw0wNDA0MTcxMDI2MDhaMDkxETAPBgNVBAoTCHRlc3QxMDI0MRcwFQYDVQQLEw5hY2NlcHRhbmNldGVzdDELMAkGA1UEAxMCcmEwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAN6sQ3mSU8mL6i6gTZIXDLzOZPhYOkQLpnJjit5hcPZ0JMn0CQVXo4QjKN1xvuZv8qVlZoQw9czmzp/knTa0sCDgFKd0r+u0TnLeZkJMSimgFnma9CnChlaDHnBd8Beu4vyaHmo7rJ0xA4etn7HjhmKbaQZOcv/aP0SW9JXRga7ZAgMBAAGjMzAxMA4GA1UdDwEB/wQEAwIFIDAfBgNVHSMEGDAWgBSC3fsQHb7fddr2vL0UdkM2dAmUWzANBgkqhkiG9w0BAQQFAAOBgQBkAGbgd9HIqwoLKAr+V6bj9oWesDmDH80gPPxj10qyWSQYIs8PofOs/75yGS9nxhydtgSMFoBgCPdroUI31kZQQlFzxtudGoKD+5MWSXho79XzPwpjheOBYgpX6ch+L4tMLFDpqeraB1yZESO5EEeKm20DGVBOKVWxHhddO1BenA==";
 
         /*
          CRMFClient	CrmfClient = new CRMFClient(s.GetHostName(),s.GetEEPort());
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java b/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java
index 75f94261c3046e7cf231853620d0cc58ca4a9b73..9aaf6c4d944b9300fdc52ed2e23ed44751543802 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java
@@ -20,7 +20,6 @@ package com.netscape.pkisilent.common;
 
 import java.io.DataInputStream;
 import java.io.FileInputStream;
-import java.util.Enumeration;
 
 import netscape.security.x509.CertificateSerialNumber;
 import netscape.security.x509.CertificateSubjectName;
@@ -33,10 +32,6 @@ import netscape.security.x509.X509CertInfo;
 import com.netscape.osutil.OSUtil;
 
 public class Utilities {
-    private static final String keyValueSeparators = "=: \t\r\n\f";
-    private static final String strictKeyValueSeparators = "=:";
-    private static final String specialSaveChars = " \t\r\n\f";
-    private static final String whiteSpaceChars = " \t\r\n\f";
 
     public Utilities() {// Do nothing
     }
@@ -328,9 +323,6 @@ public class Utilities {
             CertificateSubjectName csn1 = (CertificateSubjectName)
                     certinfo.get(X509CertInfo.SUBJECT);
 
-            @SuppressWarnings("unchecked")
-            Enumeration<String> en = csn1.getElements();
-
             X500Name dname = (X500Name) csn1.get(CertificateSubjectName.DN_NAME);
 
             String pp = "";
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index e2d5d156a254e1b32c52ec7371c24531c0af632e..cad7d0ae3452617dea6ce7b84c62d838e5154a01 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -945,10 +945,11 @@ public class CryptoUtil {
             throws CryptoManager.NotInitializedException,
                 TokenException {
         CryptoManager cm = CryptoManager.getInstance();
-        Enumeration enums = cm.getAllTokens();
+        @SuppressWarnings("unchecked")
+        Enumeration<CryptoToken> enums = cm.getAllTokens();
 
         while (enums.hasMoreElements()) {
-            CryptoToken token = (CryptoToken) enums.nextElement();
+            CryptoToken token = enums.nextElement();
             String tokenName = token.getName();
             CryptoStore store = token.getCryptoStore();
             PrivateKey keys[] = store.getPrivateKeys();
@@ -970,9 +971,10 @@ public class CryptoUtil {
     public static X509CertImpl[] getAllUserCerts()
             throws CryptoManager.NotInitializedException,
                 TokenException {
-        Vector certs = new Vector();
+        Vector<X509CertImpl> certs = new Vector<X509CertImpl>();
         CryptoManager cm = CryptoManager.getInstance();
-        Enumeration enums = cm.getAllTokens();
+        @SuppressWarnings("unchecked")
+        Enumeration<CryptoToken> enums = cm.getAllTokens();
 
         while (enums.hasMoreElements()) {
             CryptoToken token = (CryptoToken) enums.nextElement();
diff --git a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
index 2971706fa2e55bd57fe15932e7ac4d581e599ca8..a5dd108ae37b04026af64ffb4a912f18c5d6ddd5 100644
--- a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
+++ b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
@@ -25,6 +25,8 @@ import java.security.PublicKey;
 import java.util.Arrays;
 import java.util.Hashtable;
 
+import netscape.security.pkcs.PKCS10;
+
 import org.mozilla.jss.asn1.ANY;
 import org.mozilla.jss.asn1.ASN1Util;
 import org.mozilla.jss.asn1.INTEGER;
@@ -191,16 +193,16 @@ public class CRSPKIMessage {
     private int rsdVersion;
     private byte[] rsdCert; // certificate to send in response
 
-    private Object myP10;
+    private PKCS10 myP10;
 
-    private Hashtable attrs; // miscellanous
+    private Hashtable<String, Object> attrs; // miscellanous
 
     //   *** END *** //
 
     public void debug() {
     }
 
-    public void put(Object a, Object b) {
+    public void put(String a, Object b) {
         attrs.put(a, b);
     }
 
@@ -475,7 +477,7 @@ public class CRSPKIMessage {
                     certs,
                         null, // no CRL's
                     new SET() // empty SignerInfos
-            );
+                    );
             ContentInfo wrap = new ContentInfo(ContentInfo.SIGNED_DATA,
                     crsd);
 
@@ -606,11 +608,11 @@ public class CRSPKIMessage {
         return aa_digest.toByteArray();
     }
 
-    public Object getP10() {
+    public PKCS10 getP10() {
         return myP10;
     }
 
-    public void setP10(Object p10) {
+    public void setP10(PKCS10 p10) {
         myP10 = p10;
     }
 
@@ -717,11 +719,11 @@ public class CRSPKIMessage {
     }
 
     public CRSPKIMessage() {
-        attrs = new Hashtable();
+        attrs = new Hashtable<String, Object>();
     }
 
     public CRSPKIMessage(ByteArrayInputStream bais) throws InvalidBERException, Exception {
-        attrs = new Hashtable();
+        attrs = new Hashtable<String, Object>();
         decodeCRSPKIMessage(bais);
     }
 
diff --git a/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java b/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
index 1f5aa4e656f7eba68bf689cfc08932151793b296..0bafcedd072ff608c3f1f01426c962216c5b577b 100644
--- a/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
@@ -62,9 +62,6 @@ import netscape.security.x509.URIName;
  * @version $Revision$, $Date$
  */
 public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
-    /**
-     *
-     */
     private static final long serialVersionUID = 7373316523212538446L;
     public static final String NAME = "AuthInfoAccessExtension";
     public static final String NAME2 = "AuthorityInformationAccess";
@@ -80,7 +77,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
     public static final int OID[] = { 1, 3, 6, 1, 5, 5, 7, 1, 1 };
     public static final ObjectIdentifier ID = new ObjectIdentifier(OID);
 
-    private Vector mDesc = new Vector();
+    private Vector<AccessDescription> mDesc = new Vector<AccessDescription>();
 
     /**
      * Create the extension from the passed DER encoded value of the same.
@@ -136,7 +133,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
@@ -159,7 +156,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
     }
 
     public AccessDescription getAccessDescription(int pos) {
-        return (AccessDescription) mDesc.elementAt(pos);
+        return mDesc.elementAt(pos);
     }
 
     /**
@@ -190,7 +187,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
 
         for (int i = 0; i < mDesc.size(); i++) {
             DerOutputStream tmp0 = new DerOutputStream();
-            AccessDescription ad = (AccessDescription) mDesc.elementAt(i);
+            AccessDescription ad = mDesc.elementAt(i);
 
             tmp0.putOID(ad.getMethod());
             ad.getLocation().encode(tmp0);
@@ -223,7 +220,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
         String s = super.toString() + "AuthInfoAccess [\n";
 
         for (int i = 0; i < mDesc.size(); i++) {
-            AccessDescription ad = (AccessDescription) mDesc.elementAt(i);
+            AccessDescription ad = mDesc.elementAt(i);
 
             s += "(" + i + ")";
             s += " ";
diff --git a/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java b/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
index 2f402ce2fcbe29d6c9f3b13ca59724302a83d916..018fd71c84bec4c1f44b91eaca22116692ebe909 100644
--- a/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
@@ -43,9 +43,6 @@ import netscape.security.x509.Extension;
  */
 public class CertificateRenewalWindowExtension extends Extension
         implements CertAttrSet {
-    /**
-     *
-     */
     private static final long serialVersionUID = 4470220533545299271L;
     public static final String NAME = "CertificateRenewalWindow";
     public static final int OID[] = { 2, 16, 840, 1, 113730, 1, 15 };
@@ -114,7 +111,7 @@ public class CertificateRenewalWindowExtension extends Extension
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
diff --git a/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java b/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
index b31bd9985cd98b9bcb356564562463cb7f899e94..16641f36bc7d24106c51a5ecffcac0ad95d5c593 100644
--- a/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
@@ -54,7 +54,7 @@ public class CertificateScopeOfUseExtension extends Extension
     public static final int OID[] = { 2, 16, 840, 1, 113730, 1, 17 };
     public static final ObjectIdentifier ID = new ObjectIdentifier(OID);
 
-    private Vector mEntries = null;
+    private Vector<CertificateScopeEntry> mEntries = null;
 
     static {
         try {
@@ -64,7 +64,7 @@ public class CertificateScopeOfUseExtension extends Extension
         }
     }
 
-    public CertificateScopeOfUseExtension(boolean critical, Vector scopeEntries)
+    public CertificateScopeOfUseExtension(boolean critical, Vector<CertificateScopeEntry> scopeEntries)
             throws IOException {
         this.extensionId = ID;
         this.critical = critical;
@@ -91,7 +91,7 @@ public class CertificateScopeOfUseExtension extends Extension
         return NAME;
     }
 
-    public Vector getCertificateScopeEntries() {
+    public Vector<CertificateScopeEntry> getCertificateScopeEntries() {
         return mEntries;
     }
 
@@ -128,7 +128,7 @@ public class CertificateScopeOfUseExtension extends Extension
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
@@ -139,7 +139,7 @@ public class CertificateScopeOfUseExtension extends Extension
         if (val.tag != DerValue.tag_Sequence) {
             throw new IOException("Invalid encoding of CertificateWindow extension");
         }
-        mEntries = new Vector();
+        mEntries = new Vector<CertificateScopeEntry>();
         while (val.data.available() != 0) {
             mEntries.addElement(new CertificateScopeEntry(
                     val.data.getDerValue()));
diff --git a/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java b/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
index 5b3f06e91a32c3669d7ce56623cd0dffcf152c83..939da036f7d3466e7affd440e7ac44e4cad32a8b 100644
--- a/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
@@ -55,13 +55,13 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
     public static final ObjectIdentifier OID_CODE_SIGNING = new
             ObjectIdentifier(OID_OCSP_SIGNING_STR);
 
-    private Vector oidSet = null;
+    private Vector<ObjectIdentifier> oidSet = null;
     private byte mCached[] = null;
 
     static {
         try {
             OIDMap.addAttribute(ExtendedKeyUsageExtension.class.getName(),
-                    OID, NAME);
+                    OID, ExtendedKeyUsageExtension.NAME);
         } catch (CertificateException e) {
         }
     }
@@ -70,7 +70,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         this(false, null);
     }
 
-    public ExtendedKeyUsageExtension(boolean crit, Vector oids) {
+    public ExtendedKeyUsageExtension(boolean crit, Vector<ObjectIdentifier> oids) {
         try {
             extensionId = ObjectIdentifier.getObjectIdentifier(OID);
         } catch (IOException e) {
@@ -78,9 +78,9 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         }
         critical = crit;
         if (oids != null) {
-            oidSet = (Vector) oids.clone();
+            oidSet = new Vector<ObjectIdentifier>(oids);
         } else {
-            oidSet = new Vector();
+            oidSet = new Vector<ObjectIdentifier>();
         }
         encodeExtValue();
     }
@@ -100,7 +100,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         }
     }
 
-    public Enumeration getOIDs() {
+    public Enumeration<ObjectIdentifier> getOIDs() {
         if (oidSet == null)
             return null;
         return oidSet.elements();
@@ -114,7 +114,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
 
     public void addOID(ObjectIdentifier oid) {
         if (oidSet == null) {
-            oidSet = new Vector();
+            oidSet = new Vector<ObjectIdentifier>();
         }
 
         if (oidSet.contains(oid))
@@ -172,7 +172,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         return null;
     }
 
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         return null;
     }
 
@@ -192,7 +192,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
             throw new IOException("Invalid encoding of AuthInfoAccess extension");
         }
         if (oidSet == null)
-            oidSet = new Vector();
+            oidSet = new Vector<ObjectIdentifier>();
         while (val.data.available() != 0) {
             DerValue oidVal = val.data.getDerValue();
 
@@ -205,7 +205,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         DerOutputStream temp = new DerOutputStream();
 
         if (!oidSet.isEmpty()) {
-            Enumeration oidList = oidSet.elements();
+            Enumeration<ObjectIdentifier> oidList = oidSet.elements();
 
             try {
                 while (oidList.hasMoreElements()) {
